登录  免费注册
当前位置:首页 > 漏洞详细信息

Eclipse Vert.x存在未明漏洞

 关注(0)  
CNVD-ID CNVD-2019-43403
公开日期 2019-12-03
危害级别 中 (AV:N/AC:M/Au:N/C:P/I:P/A:P)
影响产品 Eclipse Vert.x >=3.0.0,<3.5.2
CVE ID CVE-2018-12540
漏洞描述 Eclipse Vert.x是Eclipse基金会的一个用于在JVM上构建响应式应用程序的工具包,它主要用于构建网络实用程序、Web应用程序、HTTP/REST微服务等应用程序。

Eclipse Vert.x 3.0.0版本至3.5.2版本中存在安全漏洞,该漏洞源于CSRFHandler没有断言XSRF Cookie是否匹配返回的XSRF ‘header’/‘form’参数。攻击者可利用该漏洞实施重播攻击。
漏洞类型 通用型漏洞
参考链接 https://bugs.eclipse.org/bugs/show_bug.cgi?id=536948
漏洞解决方案 目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=536948
厂商补丁 Eclipse Vert.x存在未明漏洞的补丁
验证信息 (暂无验证信息)
报送时间 2018-07-27
收录时间 2019-12-03
更新时间 2019-12-03
漏洞附件 (无附件)
  在发布漏洞公告信息之前,CNVD都力争保证每条公告的准确性和可靠性。然而,采纳和实施公告中的建议则完全由用户自己决定,其可能引起的问题和结果也完全由用户承担。是否采纳我们的建议取决于您个人或您企业的决策,您应考虑其内容是否符合您个人或您企业的安全策略和流程。
(编辑:CNVD) | 已有0条评论
登录 后才能发表评论